OPENMPT123(1)

NAME
openmpt123 - command line module music player based on libopenmpt

SYNOPSIS
openmpt123 [options] [--] file1 [file2] ...

DESCRIPTION
openmpt123 v0.8.9, libopenmpt 0.8.9+r25652 (OpenMPT 1.32.11.02-r25652 https://source.openmpt.org/svn/openmpt/tags/libopenmpt-0.8.9@25652 (2026-08-19T07:15:57.388610Z) clean) Copyright © 2013-2026 OpenMPT Project Developers and Contributors <https://lib.openmpt.org/>

openmpt123 plays module music files.

OPTIONS

-h, --help
    Show help

--help-keyboard
    Show keyboard hotkeys in ui mode

-q, --quiet
    Suppress non-error screen output

-v, --verbose
    Show more screen output

--version
    Show version information and exit

--short-version
    Show version number and nothing else

--long-version
    Show long version information and exit

--credits
    Show elaborate contributors list

--license
    Show license

--probe
    Probe each file whether it is a supported file format

--info
    Display information about each file

--ui
    Interactively play each file

--batch
    Play each file

--render
    Render each file to individual PCM data files

--banner n
    openmpt123 banner style [0=hide,1=show,2=verbose] [default: 1]

--assume-terminal
    Skip checking whether stdin/stderr are a terminal, and always allow UI [default: 0]

--terminal-width n
    Assume terminal is n characters wide [default: -1]

--terminal-height n
    Assume terminal is n characters high [default: -1]

--[no-]progress
    Show playback progress [default: 1]

--[no-]meters
    Show peak meters [default: 1]

--[no-]channel-meters
    Show channel peak meters (EXPERIMENTAL) [default: 0]

--[no-]pattern
    Show pattern (EXPERIMENTAL) [default: 0]

--[no-]details
    Show song details [default: 1]

--[no-]message
    Show song message [default: 0]

--update n
    Set output update interval to n ms [default: -1]

--samplerate n
    Set samplerate to n Hz [default: 48000]

--channels n
    use n [1,2,4] output channels [default: 2]

--[no-]float
    Output 32bit floating point instead of 16bit integer [default: 1]

--gain n
    Set output gain to n dB [default: 0]

--stereo n
    Set stereo separation to n % [default: 100]

--filter n
    Set interpolation filter taps to n [1,2,4,8] [default: 8]

--ramping n
    Set volume ramping strength n [0..5] [default: -1]

--tempo f
    Set tempo factor f [default: 1]

--pitch f
    Set pitch factor f [default: 1]

--dither n
    Dither type to use (if applicable for selected output format): [0=off,1=auto,2=0.5bit,3=1bit] [default: 1]

--playlist file
    Load playlist from file

--[no-]randomize
    Randomize playlist [default: 0]

--[no-]shuffle
    Shuffle through playlist [default: 0]

--[no-]restart
    Restart playlist when finished [default: 0]

--subsong n
    Select subsong n (-1 means play all subsongs consecutively) [default: -1]

--repeat n
    Repeat song n times (-1 means forever) [default: 0]

--seek n
    Seek to n seconds on start [default: 0]

--end-time n
    Play until position is n seconds (0 means until the end) [default: 0]

--ctl c=v
    Set libopenmpt ctl c to value v

--driver n
    Set output driver [default: default],

--device n
    Set output device [default: default], use --device help to show available devices

--buffer n
    Set output buffer size to n ms [default: -1]

--period n
    Set output period size to n ms [default: -1]

--stdout
    Write raw audio data to stdout [default: 0]

--output-type t
    Use output format t when writing to a individual PCM files (only applies to --render mode) [default: auto]

-o, --output f
    Write PCM output to file f instead of streaming to audio device (only applies to --ui and --batch modes) [default: ]

--force
    Force overwriting of output file [default: 0]

--  Interpret further arguments as filenames

Keyboard hotkeys (use 'openmpt123 --ui'):

[q] quit

[ ] pause / unpause

[N] skip 10 files backward

[n] prev file

[m] next file

[M] skip 10 files forward

[h] seek 10 seconds backward

[j] seek 1 seconds backward

[k] seek 1 seconds forward

[l] seek 10 seconds forward

[u]|[i]
    +/- tempo

[o]|[p]
    +/- pitch

[3]|[4]
    +/- gain

[5]|[6]
    +/- stereo separation

[7]|[8]
    +/- filter taps

[9]|[0]
    +/- volume ramping

COPYRIGHT
Copyright © 2013-2026 OpenMPT Project Developers and Contributors <https://lib.openmpt.org/>